Package org.apache.sling.starter.access.models

# Class RestrictionDefinitionInfo

java.lang.Object
org.apache.sling.starter.access.models.RestrictionDefinitionInfo

All Implemented Interfaces:
  `org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionDefinition`

public class RestrictionDefinitionInfo extends Object implements org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionDefinition

## Constructor Summary

Constructors
Constructor
Description
`RestrictionDefinitionInfo(String displayName, org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionDefinition rd)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDisplayName()`
`@NotNull String`
`getName()`
`@NotNull org.apache.jackrabbit.oak.api.Type<?>`
`getRequiredType()`
`boolean`
`isMandatory()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RestrictionDefinitionInfo

public RestrictionDefinitionInfo(String displayName, org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionDefinition rd)

## Method Details

### getDisplayName

public String getDisplayName()

### getName

@NotNull public @NotNull String getName()

Specified by:
  `getName` in interface `org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionDefinition`

### getRequiredType

@NotNull public @NotNull org.apache.jackrabbit.oak.api.Type<?> getRequiredType()

Specified by:
  `getRequiredType` in interface `org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionDefinition`

### isMandatory

public boolean isMandatory()

Specified by:
  `isMandatory` in interface `org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionDefinition`